Page MenuHomePhabricator

[Task] Refactor how formatters are passed to valueview
Closed, ResolvedPublic

Description

From https://gerrit.wikimedia.org/r/#/c/266758/:

Adrian Lang Jan 30 9:12 PM

I would probably opt for reworking the way formatters are passed to the ValueView. Currently, that's done via a FormatterFactory with quite a complicated interface. Instead, I would just pass a formatter { format: function( dataValue, mimeType ) -> $.Deferred }. Passing PropertyIds and DataTypeIds would then be done by the snakview. If we do the same for parsers and experts, we can remove the dataTypeId parameter, which indeed is wrong.

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Bene created this task.Feb 2 2016, 3:06 PM
Bene assigned this task to adrianheine.
Bene raised the priority of this task from to Medium.
Bene updated the task description. (Show Details)
Bene added subscribers: gerritbot, Bene, Tobi_WMDE_SW and 6 others.
Lydia_Pintscher moved this task from incoming to in progress on the Wikidata board.Feb 3 2016, 1:30 PM

Change 268388 had a related patch set uploaded (by Adrian Lang):
Take ValueFormatters instead of store

https://gerrit.wikimedia.org/r/268388

adrianheine raised the priority of this task from Medium to High.Feb 9 2016, 9:58 AM
adrianheine lowered the priority of this task from High to Medium.
adrianheine moved this task from Doing to Review on the Wikidata-Sprint-2016-02-02 board.

Change 268388 merged by jenkins-bot:
Take ValueFormatters instead of store

https://gerrit.wikimedia.org/r/268388

Jonas closed this task as Resolved.Feb 10 2016, 5:07 PM
Jonas set Security to None.
Jonas moved this task from Review to Done on the Wikidata-Sprint-2016-02-02 board.

Change 268387 had a related patch set uploaded (by Adrian Heine):
Replace wb.formatters.getStore with ValueFormatterFactory

https://gerrit.wikimedia.org/r/268387

adrianheine reopened this task as Open.Feb 11 2016, 8:42 AM
adrianheine moved this task from Done to Review on the Wikidata-Sprint-2016-02-02 board.

Change 268387 merged by jenkins-bot:
Replace wb.formatters.getStore with ValueFormatterFactory

https://gerrit.wikimedia.org/r/268387

adrianheine closed this task as Resolved.Feb 16 2016, 10:12 AM
adrianheine moved this task from Review to Done on the Wikidata-Sprint-2016-02-02 board.